const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
newLimit: 2500,
signature: '0x1234567890abcdef...',
message: {
salt: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef',
data: '0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60'
},
smartWalletAddress: '0x1234567890abcdef1234567890abcdef12345678'
})
};
fetch('https://api.gnosispay.com/api/v1/accounts/daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.gnosispay.com/api/v1/accounts/daily-limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newLimit": 2500,
"signature": "0x1234567890abcdef...",
"message": {
"salt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"data": "0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60"
},
"smartWalletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
'import requests
url = "https://api.gnosispay.com/api/v1/accounts/daily-limit"
payload = {
"newLimit": 2500,
"signature": "0x1234567890abcdef...",
"message": {
"salt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"data": "0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60"
},
"smartWalletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/daily-limit"
payload := strings.NewReader("{\n \"newLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\",\n \"message\": {\n \"salt\": \"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\",\n \"data\": \"0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60\"\n },\n \"smartWalletAddress\": \"0x1234567890abcdef1234567890abcdef12345678\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gnosispay.com/api/v1/accounts/daily-limit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"newLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\",\n \"message\": {\n \"salt\": \"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\",\n \"data\": \"0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60\"\n },\n \"smartWalletAddress\": \"0x1234567890abcdef1234567890abcdef12345678\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"newLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\",\n \"message\": {\n \"salt\": \"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\",\n \"data\": \"0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60\"\n },\n \"smartWalletAddress\": \"0x1234567890abcdef1234567890abcdef12345678\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Set new daily spending limit
Sets a new daily spending limit for the authenticated user’s Safe account.
The signature should be generated by signing the EIP-712 typed data obtained from
the /api/v1/accounts/daily-limit/transaction-data endpoint.
If using a smart wallet, the smartWalletAddress is required for ERC1271 signatures.
The limit update is processed through a delay relay mechanism that executes after 3 minutes.
Note: The newLimit must be an integer value between 1 and 8000.
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
newLimit: 2500,
signature: '0x1234567890abcdef...',
message: {
salt: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef',
data: '0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60'
},
smartWalletAddress: '0x1234567890abcdef1234567890abcdef12345678'
})
};
fetch('https://api.gnosispay.com/api/v1/accounts/daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.gnosispay.com/api/v1/accounts/daily-limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newLimit": 2500,
"signature": "0x1234567890abcdef...",
"message": {
"salt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"data": "0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60"
},
"smartWalletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
'import requests
url = "https://api.gnosispay.com/api/v1/accounts/daily-limit"
payload = {
"newLimit": 2500,
"signature": "0x1234567890abcdef...",
"message": {
"salt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"data": "0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60"
},
"smartWalletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/daily-limit"
payload := strings.NewReader("{\n \"newLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\",\n \"message\": {\n \"salt\": \"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\",\n \"data\": \"0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60\"\n },\n \"smartWalletAddress\": \"0x1234567890abcdef1234567890abcdef12345678\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gnosispay.com/api/v1/accounts/daily-limit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"newLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\",\n \"message\": {\n \"salt\": \"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\",\n \"data\": \"0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60\"\n },\n \"smartWalletAddress\": \"0x1234567890abcdef1234567890abcdef12345678\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"newLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\",\n \"message\": {\n \"salt\": \"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\",\n \"data\": \"0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60\"\n },\n \"smartWalletAddress\": \"0x1234567890abcdef1234567890abcdef12345678\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The new daily spending limit to set (must be an integer).
1 <= x <= 80002500
The EIP-712 signature authorizing this limit change.
"0x1234567890abcdef..."
The message object containing transaction data and salt from the EIP-712 typed data.
Show child attributes
Show child attributes
Optional. If using a smart account, the address of the smart wallet to use for the limit change.
"0x1234567890abcdef1234567890abcdef12345678"
Response
Successfully submitted the daily limit update request.
The created delayed transaction details.